# 数据源配置
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: dev
  redis:
    host: 127.0.0.1
    password: '@yf_2017'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.1.65:22306/yifu_checks?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

## spring security 配置
security:
  oauth2:
    resource:
      loadBalanced: true
      token-info-uri: http://127.0.0.1:3000/oauth/check_token
    # 直接放行URL
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**
        - /checkBankNo/**
# 创蓝云智校验配置
canCheck: true